## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-oracledb
Version:        3.2.0
Release:        %{autorelease}
Summary:        OracleDB Driver

License:        Apache-2.0 OR UPL-1.0
URL:            https://oracle.github.io/python-oracledb/
Source:         %{pypi_source oracledb}

BuildRequires:  python3-devel
# https://github.com/oracle/python-oracledb/issues/512
BuildRequires:  python3-azure-appconfiguration
BuildRequires:  python3-azure-core
BuildRequires:  python3-azure-identity
BuildRequires:  python3-azure-keyvault-secrets
BuildRequires:  python3-oci

BuildRequires:  gcc

%global _description %{expand:
The python-oracledb driver is a Python programming language extension module
allowing Python programs to connect to Oracle Database. Python-oracledb 
is the new name for Oracle's popular cx_Oracle driver.}

%description %_description

%package -n python3-oracledb
Summary:        %{summary}

%description -n python3-oracledb %_description


%prep
%autosetup -p1 -n oracledb-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files oracledb


# Tests require an Oracle database to connect to.
%check
%pyproject_check_import


%files -n python3-oracledb -f %{pyproject_files}


%changelog
## START: Generated by rpmautospec
* Sat Jul 05 2025 Steve Traylen <steve.traylen@cern.ch> - 3.2.0-1
- Update 3.2.0

* Sat Jul 05 2025 Steve Traylen <steve.traylen@cern.ch> - 2.5.1-5
- packit all the branches

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 2.5.1-4
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jan 09 2025 Steve Traylen <steve.traylen@cern.ch> - 2.5.1-1
- Update to 2.5.1

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 24 2024 Steve Traylen <steve.traylen@cern.ch> - 2.2.1-1
- Upstream to 2.2.1

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.4.2-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Dec 07 2023 Steve Traylen <steve.traylen@cern.ch> - 1.4.2-1
- Update 1.4.2

* Tue Sep 26 2023 Steve Traylen <steve.traylen@cern.ch> - 1.4.1-1
- Update to 1.4.1

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 1.2.2-2
- Rebuilt for Python 3.12

* Fri Mar 10 2023 Steve Traylen <steve.traylen@cern.ch> - 1.2.2-1
- Initial Release
## END: Generated by rpmautospec
